Organization
The top-level container for an organization using ConfigHub.
Operations
| Method | Endpoint | Description |
|---|---|---|
GET |
/organization |
List Organizations |
GET |
/organization/{organization_id} |
Get Organization |
POST |
/organization |
Create Organization |
PUT |
/organization/{organization_id} |
Update Organization |
DELETE |
/organization/{organization_id} |
Delete Organization |
List Organizations
GET /organization
List Organizations
Operation ID: ListOrganizations
Parameters
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of Organizations returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, NOT LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, NOT LIKE and !~~ for negated pattern matching. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. Maps support IS NULL and IS NOT NULL with dot notation to check for key absence or presence, as in Labels.tier IS NULL (key doesn't exist) or Labels.tier IS NOT NULL (key exists). Comparison results can be tested with IS TRUE, IS FALSE, IS NOT TRUE, and IS NOT FALSE. These are useful for nullable columns: MergeSourceID = '<uuid>' IS NOT FALSE matches rows where MergeSourceID equals the value OR is NULL. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on Organization: Annotations, CreatedAt, DeleteGates, DisplayName, EmailDomain, ExternalID, Labels, OrganizationID, Slug, UpdatedAt. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the Organization list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (Organization). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for Organization include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. | |
include |
string | Include clause for expanding related entities in the response for Organization. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for Organization are . The whole string must be query-encoded. | |
select |
string | Select clause for specifying which fields to include in the response for Organization. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. If not specified, all fields are returned. Entity and parent IDs (like OrganizationID, SpaceID, OrganizationID) and Slug are always returned regardless of the select parameter. Fields used in where and contains filters are also automatically included. Example: 'DisplayName,CreatedAt,Labels' will return only those fields plus the required ID and Slug fields. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of Organization |
| 400 | Organization request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | Organization not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing Organization. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Get Organization
GET /organization/{organization_id}
Get Organization
Operation ID: GetOrganization
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
organization_id |
string | ✓ | Unique identifier for a organization_id |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
include |
string | Include clause for expanding related entities in the response for Organization. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for Organization are . The whole string must be query-encoded. | |
select |
string | Select clause for specifying which fields to include in the response for Organization. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. If not specified, all fields are returned. Entity and parent IDs (like OrganizationID, SpaceID, OrganizationID) and Slug are always returned regardless of the select parameter. Fields used in where and contains filters are also automatically included. Example: 'DisplayName,CreatedAt,Labels' will return only those fields plus the required ID and Slug fields. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | The top-level container for an organization using ConfigHub. | application/json |
Organization |
| 400 | Organization request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | Organization not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing Organization. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Create Organization
POST /organization
Create Organization
Operation ID: CreateOrganization
Parameters
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
allow_exists |
string | Allowed values are true and false. Default is false. When true, reports success when an entity already exists and returns the existing entity |
Request Body
Content-Type: application/json
Schema: Organization
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | The top-level container for an organization using ConfigHub. | application/json |
Organization |
| 400 | Organization request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | Organization not found. | application/json |
StandardErrorResponse |
| 409 | Organization data conflict. Data has changed since last read. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing Organization. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Update Organization
PUT /organization/{organization_id}
Update Organization
Operation ID: UpdateOrganization
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
organization_id |
string | ✓ | Unique identifier for a organization_id |
Request Body
Content-Type: application/json
Schema: Organization
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | The top-level container for an organization using ConfigHub. | application/json |
Organization |
| 400 | Organization request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | Organization not found. | application/json |
StandardErrorResponse |
| 409 | Organization data conflict. Data has changed since last read. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing Organization. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Delete Organization
DELETE /organization/{organization_id}
Delete Organization
Operation ID: DeleteOrganization
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
organization_id |
string | ✓ | Unique identifier for a organization_id |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | Response for successful delete operation | application/json |
DeleteResponse |
| 400 | Organization request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | Organization not found. | application/json |
StandardErrorResponse |
| 409 | Organization data conflict. Data has changed since last read. | application/json |
StandardErrorResponse |
| 422 | Organization could not be deleted. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing Organization. | application/json |
StandardErrorResponse |
| default | Unexpected error. | application/json |
StandardErrorResponse |
Schemas
DeleteResponse
Response for successful delete operation
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Error |
ResponseError |
||
Message |
string | Response message. |
Organization
The top-level container for an organization using ConfigHub.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Annotations |
object | An optional map of Annotation key/value pairs for tools to attach information to entities. | |
CreatedAt |
string (date-time) | The timestamp when the entity was created in "2023-01-01T12:00:00Z" format. | |
CursorID |
integer (int64) | An auto-incrementing sequence number used for pagination. | |
DeleteGates |
object | An optional set of gates that, if any is present, will block deletion. | |
DisplayName |
string | Friendly name for the entity. | |
EmailDomain |
string | Unique email domain name for the External Identity Provider record matching this organization | |
EntityType |
string | The type of entity. | |
ExternalID |
string | Unique identifier for the External Identity Provider record matching this organization. | |
Labels |
object | An optional map of Label key/value pairs to specify identifying attributes of entities for the purpose of grouping and filtering them. | |
OrganizationID |
string (uuid) | Unique identifier for an organization. | |
Slug |
string | ✓ | Unique URL-safe identifier for the entity. |
UpdatedAt |
string (date-time) | The timestamp when the entity was last updated in "2023-01-01T12:00:00Z" format. | |
Version |
integer (int64) | An entity-specific sequence number used for optimistic concurrency control. The value read must be sent in calls to Update. |
StandardErrorResponse
Error response details.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Code |
string | HTTP status code of the response. | |
Message |
string | Message returned with the response. |